from Texture import *
from Thing import *
import globalVars

class Crosshair(Thing):
    def __init__(self):
        Thing.__init__(self)
        self.texture = Texture("crosshairs")
        
    def draw(self):
        self.texture.draw(pos=(self.x, self.y),width = 16, height = 16)
        
    def update(self, delta):
        self.x = globalVars.mouseX - 8
        self.y = globalVars.mouseY - 8
        self.draw()
